<back to all web services

GetRelatedItems

The following routes are available for this service:
GET/RestApi/translations/related
"use strict";
export class GetRelatedItems {
    /** @param {{Ids?:string[]}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string[]} */
    Ids;
}
export class RelatedItemsProxy {
    /** @param {{TranslationsCount?:number,ProjectsCount?:number}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {number} */
    TranslationsCount;
    /** @type {number} */
    ProjectsCount;
}

JavaScript GetRelatedItems DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/related HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"TranslationsCount":0,"ProjectsCount":0}